<%= form_with(model: post, local: true) do |form| %>
  <% if post.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(post.errors.count, "error") %> prohibited this post from being saved:</h2>

      <ul>
      <% post.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div style="background-color: #34373c; padding: 20px; border-radius: 5px">
    <div class="field">
      <%= form.label :photo, {:style=>'color:#FFFFFF;'} %>
      <%= form.file_field :photo, id: :post_photo, :required => true %>
    </div>

    <br />

    <div class="field">
      <%= form.label :title, {:style=>'color:#FFFFFF;'} %>
      <br />
      <%= form.text_field :title, id: :post_title, :required => true %>
    </div>

    <br />

    <div class="field">
      <%= form.label :description, {:style=>'color:#FFFFFF;'} %>
      <br />
      <%= form.text_area :description, id: :post_description, :required => true %>
    </div>

    <br />

    <div class="actions">
      <%= form.submit %>
    </div>
  </div>
<% end %>
